## org.apache.poi.ss.format
Class CellNumberFormatter

    java.lang.Object
      org.apache.poi.ss.format.CellFormatter
          org.apache.poi.ss.format.CellNumberFormatter

    public class CellNumberFormatter

extends CellFormatter

This class implements printing out a value using a number format.

Author:
  Ken Arnold, Industrious Media LLC

Field Summary

Fields inherited from class org.apache.poi.ss.format.CellFormatter
`format, LOCALE`

Constructor Summary
`CellNumberFormatter(java.lang.String format)` Creates a new cell number formatter.

Method Summary
`void` `formatValue(java.lang.StringBuffer toAppendTo, java.lang.Object valueObject)` Format a value according the format string.
`void` `simpleValue(java.lang.StringBuffer toAppendTo, java.lang.Object value)` Format a value according to the type, in the most basic way.

Methods inherited from class org.apache.poi.ss.format.CellFormatter
`format, simpleFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellNumberFormatter

    public CellNumberFormatter(java.lang.String format)

  Creates a new cell number formatter.

  Parameters:
    `format` - The format to parse.

Method Detail

### formatValue

    public void formatValue(java.lang.StringBuffer toAppendTo,
                            java.lang.Object valueObject)

  Format a value according the format string.

  Specified by:
    `formatValue` in class `CellFormatter`
  Parameters:
    `toAppendTo` - The buffer to append to.
    `valueObject` - The value to format.

### simpleValue

    public void simpleValue(java.lang.StringBuffer toAppendTo,
                            java.lang.Object value)

  Format a value according to the type, in the most basic way.

  For a number, this is `"#"` for integer values, and `"#.#"` for floating-point values.

  Specified by:
    `simpleValue` in class `CellFormatter`
  Parameters:
    `toAppendTo` - The buffer to append to.
    `value` - The value to format.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.